Upsert a single target record

The target is merged synchronously, and a JSON representation of the target is returned. See documentation for all fields supported.

See the ‘Uploading data’ guide for more details on importing data.

See [all supported columns](support.yourmovement.org/support/solutions/articles/55000027092-Supported-fields-for-uploading-data)

{

"record":{
  "external_id": "MemNo12345",
  "first_name": "FirstName",
  "last_name": "LastName",
  "email": "[email protected]",
  "phone_number": "+441234567890",
  "custom_field_slug": "Custom field data"
},
"conflict_strategy": "reject"

}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
record
object
required
string
enum

What to do when a record conflicts with an existing record. 'reject' (default) will reject the new record, 'ignore' will import the new record.

Allowed:
Response
200

A successful response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!